<!--Jana Balkovicová-->
<!--xbalko01@stud.fit.vutbr.cz-->
<!--ESP8266: snímání teploty (IoT, WiFi AP pro mobilní telefon), IMP 2018-->
<!--original-->
<!--last edited: 27.12.2018-->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui, viewport-fit=cover">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <link rel="stylesheet" type="text/css" href="css/materialize.min.css"/>
    <link rel="stylesheet" type="text/css" href="fonts/iconfont/material-icons.css"/>

    <script type="text/javascript" src="js/materialize.min.js"></script>
    <script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>
</head>
<body class="grey lighten-4">
<nav>
    <div class="nav-wrapper black">
        <a href="index.html" class="brand-logo left white-text"><i class="material-icons" style="position: relative; left: 5px; font-weight: bold">keyboard_arrow_left</i> </a>
        <a href="#" onclick="getTicker()" class="brand-logo right white-text"><i class="material-icons" style="position: relative; right: 5px; font-weight: bold">sync</i> </a>
        <span class="brand-logo center white-text" style="font-weight: bold">settings</span>
    </div>
</nav>

<div class="container">
    <div class="card" style="margin-top: 60px">
        <div class="card-content center">
            <div class="card-title center">
                Choose measuring interval
            </div>
            <p style="font-size: 60px"><span id="ticker">0</span>s</p>
        </div>
        <div class="card-action black">
            <a href="#" onclick="decreaseTicker()" style="font-size: 18px; color: white; font-weight: bold; margin-left: 24px">-5</a>
            <a href="#" class="right" onclick="increaseTicker()" style="font-size: 18px; color: white; font-weight: bold">+5</a>
        </div>
    </div>
    <div style="position: absolute; left: 25%; right: 25%; bottom: 80px;">
        <a class="btn black-text white waves-effect waves-block" onclick="setTicker()">SET</a>
    </div>
</div>
<script type="text/javascript" src="js/app.js"></script>
<script>
    $(document).ready(function () {
        getTicker();
    });

    function setTicker() {
        $ticker = $('#ticker');
        var xhr = new XMLHttpRequest();
        xhr.open('post', 'http://192.168.4.1/setticker');
        xhr.setRequestHeader('Content-type', 'x-www-form-urlencoded');
        xhr.send('interval=' + $ticker.text());
        alert('interval=' + $ticker.text());
    }

    function getTicker() {
        $.get("http://192.168.4.1/ticker.json", function(data) {
            $('#ticker').text(data.interval);
        });
    }

    function increaseTicker() {
        let $ticker = $('#ticker');
        let sec = parseInt($ticker.text());
        $ticker.text(sec + 5);
    }

    function decreaseTicker() {
        let $ticker = $('#ticker');
        let sec = parseInt($ticker.text());
        if ((sec - 5) < 5) {
            alert('The smallest interval possible is 5s.');
        }
        else {
            $ticker.text(sec - 5);
        }
    }
</script>
</body>
</html>